My Project: openb3dlib.mod/data.h File Reference

My Project

Functions
data.h File Reference
`#include "openb3d/src/actions.h"`
`#include "openb3d/src/pick.h"`
`#include "openb3d/src/light.h"`
`#include "openb3d/src/shadow.h"`
`#include <vector>`
`#include <list>`

Go to the source code of this file.

## Functions

char * | StaticChar (int classid, int varid)
int * | StaticInt (int classid, int varid)
float * | StaticFloat (int classid, int varid)
Entity * | StaticEntity (int classid, int varid)
Camera * | StaticCamera (int classid, int varid)
Pivot * | StaticPivot (int classid, int varid)
Surface * | StaticSurface (int classid, int varid)
int | StaticListSize (int classid, int varid)
Action * | StaticIterListAction (int classid, int varid, int &id)
Camera * | StaticIterListCamera (int classid, int varid, int &id)
Entity * | StaticIterListEntity (int classid, int varid, int &id)
ShadowObject * | StaticIterListShadowObject (int classid, int varid, int &id)
Terrain * | StaticIterListTerrain (int classid, int varid, int &id)
Texture * | StaticIterListTexture (int classid, int varid, int &id)
Light * | StaticIterVectorLight (int classid, int varid, int &id)
int * | ActionInt (Action *obj, int varid)
int * | AnimationKeysInt (AnimationKeys *obj, int varid)
float * | AnimationKeysFloat (AnimationKeys *obj, int varid)
float * | BoneFloat (Bone *obj, int varid)
AnimationKeys * | BoneAnimationKeys (Bone *obj, int varid)
Matrix * | BoneMatrix (Bone *obj, int varid)
int * | BrushInt (Brush *obj, int varid)
unsigned int * | BrushUInt (Brush *obj, int varid)
float * | BrushFloat (Brush *obj, int varid)
const char * | BrushString (Brush *obj, int varid)
Texture * | BrushTextureArray (Brush *obj, int varid, int index)
bool * | CameraBool (Camera *obj, int varid)
int * | CameraInt (Camera *obj, int varid)
float * | CameraFloat (Camera *obj, int varid)
int * | EntityInt (Entity *obj, int varid)
float * | EntityFloat (Entity *obj, int varid)
const char * | EntityString (Entity *obj, int varid)
Entity * | EntityEntity (Entity *obj, int varid)
Matrix * | EntityMatrix (Entity *obj, int varid)
Brush * | EntityBrush (Entity *obj, int varid)
int | EntityListSize (Entity *obj, int varid)
Entity * | EntityIterListEntity (Entity *obj, int varid, int &id)
void | EntityListPushBackEntity (Entity *obj, int varid, Entity *ent)
char * | LightChar (Light *obj, int varid)
float * | LightFloat (Light *obj, int varid)
float * | MatrixFloat (Matrix *obj, int varid)
int * | MeshInt (Mesh *obj, int varid)
float * | MeshFloat (Mesh *obj, int varid)
Matrix * | MeshMatrix (Mesh *obj, int varid)
int | MeshListSize (Mesh *obj, int varid)
Surface * | MeshIterListSurface (Mesh *obj, int varid, int &id)
Bone * | MeshIterVectorBone (Mesh *obj, int varid, int &id)
vector< Bone * > * | MeshVectorBone (Mesh *obj, int varid)
void | MeshListPushBackSurface (Mesh *obj, int varid, Surface *surf)
void | MeshListPushBackBone (Mesh *obj, int varid, Bone *bone)
char * | ShadowObjectChar (ShadowObject *obj, int varid)
int * | ShadowObjectInt (ShadowObject *obj, int varid)
Mesh * | ShadowObjectMesh (ShadowObject *obj, int varid)
Surface * | ShadowObjectSurface (ShadowObject *obj, int varid)
int * | SpriteInt (Sprite *obj, int varid)
float * | SpriteFloat (Sprite *obj, int varid)
unsigned short * | SurfaceUShort (Surface *obj, int varid)
int * | SurfaceInt (Surface *obj, int varid)
unsigned int * | SurfaceUInt (Surface *obj, int varid)
float * | SurfaceFloat (Surface *obj, int varid)
Brush * | SurfaceBrush (Surface *obj, int varid)
Shader * | SurfaceShader (Surface *obj, int varid)
float * | TerrainFloat (Terrain *obj, int varid)
Camera * | TerrainCamera (Terrain *obj, int varid)
Shader * | TerrainShader (Terrain *obj, int varid)
int * | TextureInt (Texture *obj, int varid)
unsigned int * | TextureUInt (Texture *obj, int varid)
float * | TextureFloat (Texture *obj, int varid)
const char * | TextureString (Texture *obj, int varid)

## Function Documentation

## § ActionInt()

int* ActionInt | ( | Action * | obj,
|  | int | varid
| ) |  |

## § AnimationKeysFloat()

float* AnimationKeysFloat | ( | AnimationKeys * | obj,
|  | int | varid
| ) |  |

## § AnimationKeysInt()

int* AnimationKeysInt | ( | AnimationKeys * | obj,
|  | int | varid
| ) |  |

## § BoneAnimationKeys()

AnimationKeys* BoneAnimationKeys | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BoneFloat()

float* BoneFloat | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BoneMatrix()

Matrix* BoneMatrix | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BrushFloat()

float* BrushFloat | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushInt()

int* BrushInt | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushString()

const char* BrushString | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushTextureArray()

Texture* BrushTextureArray | ( | Brush * | obj,
|  | int | varid,
|  | int | index
| ) |  |

## § BrushUInt()

unsigned int* BrushUInt | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § CameraBool()

bool* CameraBool | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § CameraFloat()

float* CameraFloat | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § CameraInt()

int* CameraInt | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § EntityBrush()

Brush* EntityBrush | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityEntity()

Entity* EntityEntity | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityFloat()

float* EntityFloat | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityInt()

int* EntityInt | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityIterListEntity()

Entity* EntityIterListEntity | ( | Entity * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § EntityListPushBackEntity()

void EntityListPushBackEntity | ( | Entity * | obj,
|  | int | varid,
|  | Entity * | ent
| ) |  |

## § EntityListSize()

int EntityListSize | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityMatrix()

Matrix* EntityMatrix | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityString()

const char* EntityString | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § LightChar()

char* LightChar | ( | Light * | obj,
|  | int | varid
| ) |  |

## § LightFloat()

float* LightFloat | ( | Light * | obj,
|  | int | varid
| ) |  |

## § MatrixFloat()

float* MatrixFloat | ( | Matrix * | obj,
|  | int | varid
| ) |  |

## § MeshFloat()

float* MeshFloat | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshInt()

int* MeshInt | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshIterListSurface()

Surface* MeshIterListSurface | ( | Mesh * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § MeshIterVectorBone()

Bone* MeshIterVectorBone | ( | Mesh * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § MeshListPushBackBone()

void MeshListPushBackBone | ( | Mesh * | obj,
|  | int | varid,
|  | Bone * | bone
| ) |  |

## § MeshListPushBackSurface()

void MeshListPushBackSurface | ( | Mesh * | obj,
|  | int | varid,
|  | Surface * | surf
| ) |  |

## § MeshListSize()

int MeshListSize | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshMatrix()

Matrix* MeshMatrix | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshVectorBone()

vector<Bone*>* MeshVectorBone | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectChar()

char* ShadowObjectChar | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectInt()

int* ShadowObjectInt | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectMesh()

Mesh* ShadowObjectMesh | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectSurface()

Surface* ShadowObjectSurface | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § SpriteFloat()

float* SpriteFloat | ( | Sprite * | obj,
|  | int | varid
| ) |  |

## § SpriteInt()

int* SpriteInt | ( | Sprite * | obj,
|  | int | varid
| ) |  |

## § StaticCamera()

Camera* StaticCamera | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticChar()

char* StaticChar | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticEntity()

Entity* StaticEntity | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticFloat()

float* StaticFloat | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticInt()

int* StaticInt | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticIterListAction()

Action* StaticIterListAction | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListCamera()

Camera* StaticIterListCamera | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListEntity()

Entity* StaticIterListEntity | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListShadowObject()

ShadowObject* StaticIterListShadowObject | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListTerrain()

Terrain* StaticIterListTerrain | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListTexture()

Texture* StaticIterListTexture | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterVectorLight()

Light* StaticIterVectorLight | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticListSize()

int StaticListSize | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticPivot()

Pivot* StaticPivot | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticSurface()

Surface* StaticSurface | ( | int | classid,
|  | int | varid
| ) |  |

## § SurfaceBrush()

Brush* SurfaceBrush | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceFloat()

float* SurfaceFloat | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceInt()

int* SurfaceInt | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceShader()

Shader* SurfaceShader | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceUInt()

unsigned int* SurfaceUInt | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceUShort()

unsigned short* SurfaceUShort | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § TerrainCamera()

Camera* TerrainCamera | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TerrainFloat()

float* TerrainFloat | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TerrainShader()

Shader* TerrainShader | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TextureFloat()

float* TextureFloat | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureInt()

int* TextureInt | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureString()

const char* TextureString | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureUInt()

unsigned int* TextureUInt | ( | Texture * | obj,
|  | int | varid
| ) |  |